%define pythonver 2.5
Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	python module for handling audio metadata
Name:      	mutagen
Version:   	1.11
Release:   	1
License: 	GNU/GPL
URL:		http://www.sacredchao.net/quodlibet/wiki/Development/Mutagen
Group:     	Sound          
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires:	python
BuildRequires:  python-devel

%description
Mutagen is a Python module to handle audio metadata. It supports FLAC, M4A, Musepack, MP3, Ogg FLAC, Ogg Speex, Ogg Theora, Ogg Vorbis, True Audio, and WavPack audio files. All versions of ID3v2 are supported, and all standard ID3v2.4 frames are parsed. It can read Xing headers to accurately calculate the bitrate and length of MP3s. ID3 and APEv2 tags can be edited regardless of audio format. It can also manipulate Ogg streams on an individual packet/page level.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./setup.py build

%install
rm -rf $RPM_BUILD_ROOT
./setup.py install -O1 --skip-build --root="%{buildroot}" --prefix="%{_prefix}"
# stripping package #
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_bindir
%_libdir/python%{pythonver}/site-packages/mutagen
%_libdir/python%{pythonver}/site-packages/mutagen*egg-info
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun May 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.11-1
- Version update
* Mon Mar 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.10.1-1
- Initial Release
